CCProxy Help

Main Features

  • Easy to configure. Win98/WinME/WinNT/Win2000/WinXP compatible.
  • Supports Internet access via Modem, ISDN, ADSL and DDN etc.
  • Support of proxy protocols: HTTP, FTP, Gopher, SOCKS4/5, Telnet, Secure (HTTPS), News (NNTP), RTSP and MMS.
  • Enable IE, Netscape to access Internet through HTTP/Secure/FTP (Web)/Gopher.
  • Supports clients sending and receiving mails via client applications such as Outlook, Eudora etc.
  • Supports ICQ, Yahoo Messenger, MSN Messenger and iMRC connecting to the Internet via SOCKS5 proxy.
  • Supports CuteFTP, CuteFTP Pro, and WS-FTP accessing Internet via SOCKS5 proxy.
  • Support for Real Player and Media Player receiving media stream via MMS proxy and RTSP proxy respectively.
  • Supports NetTerm accessing Internet via Telnet proxy.
  • Supports Outlook connecting to News server via News proxy.
  • Supports Remote Dial, Dial On Demand and Auto Disconnect.
  • Cascading proxy enables proxy server to access Internet via other proxy server.
  • Enables real-time observation of users' connections.
  • Easy-to-use account manager controls clients' Internet access.
  • IP range management and auto scan of account manager make account setting process very convenient.
  • Supports three types of account authentication: IP address, MAC address and User password.
  • Supports authentication of Web and SOCKS5.
  • Built-in DNS can resolve domain names.
  • Time schedule freely controls all users' on-line time.
  • Web filter can ban specific web sites, URL or contents.
  • Web caching enhances browsing speed. The size and refresh time of cache can be freely changed to meet your need.
  • Bandwidth control flexibly manages the traffic condition of clients.
  • Supports NT service.

Buy Now


Installation


Preparation before Installation

1) Download the latest version of CCProxy from our site.
2) Find a computer able to perform stably as a server. The OS can be Win98/ME, WinNT/2000/XP, we recommend Windows 2000.
3) Make sure you have correctly installed network connection equipment and the connection between server and clients works well.
4) To avoid conflict, you need to temporarily stop firewall, anti virus and other proxy software before installation.


How to Install CCProxy

You only need to install CCProxy on the server.

1. Run the latest version installation program on the server.
2. After installation, CCProxy will initially execute with the default settings. The default settings are enough to realize the basic functions of Internet sharing.

Continue by configuring clients with the aid of "Guide for Client Proxy Configuration". Your clients will then be able to can access the Internet via CCProxy.


List of Default Proxy Ports

HTTP: 808
FTP(Web): 808
FTP: 2121
Gopher: 808
Secure/SSL/HTTPS/RTSP: 808
SOCKS/MMS: 1080
News(NNTP): 119
SMTP: 25
POP3: 110
Telnet: 23


FAQs for Installation


Why DNS startup failed

This is because you have installed DNS server on the server.
First, you need to confirm whether the DNS server you've installed is actually required.
1) If the answer is yes, you need to disable the DNS proxy in CCProxy: Open the management interface of CCProxy-> "Settings" -> uncheck "DNS".
2) Or you need to stop the DNS server you've installed. Cases such as this happens most frequently in Win2000 because the DNS server is installed automatically. To stop the DNS in Win2000, go to: "Control Panel"-> " Management Tool"-> "Service" -> "DNS Server"-> Change " Startup Type" to " Manual", press button "Stop".


Why mail proxy startup failed

This is because you have installed other applications that relate to the mail service on your server - this creates a conflict on the device. To be more specific:
1) In the case where you installed an anti e-mail virus program, then a port 110(POP3) conflict may occur. You will need to change the port for the anti-virus software. However, not all anti-virus software supports port revision. If you can't change the port, then you will have to stop the anti-virus function. Although CCProxy provides a function to change the POP3 port, we don't suggest you to do so. Norton doesn't cause any problems and CCProxy works well with Norton.
2) In the case where you installed other proxy server software, then a conflict of port 110(POP3) and port 25(SMTP) may occur. This is because some proxy servers simultaneously have a mail proxy function. You will need to stop the mail proxy function of those proxy servers.
3) In the case where there is an installed firewall application, a port conflict might occur. You will need to open the following ports: 25(SMTP), 110(POP3), 53(DNS), 80(HTTP), 8011(Admin) and 5353(MX).
4) In the case where there is an installed mail server application, if it is using the same port as that of proxy server, then a port conflict will occur. Stopping those mail servers will make CCProxy perform normally.
5) If you are sure other applications can assume the mail proxy function (e.g. CMailServer), then go to CCProxy "settings" and uncheck "Mail proxy".

A simple way to check which program is related to a mail service is to run the command "telnet 127.0.0.1 110" or "telnet 127.0.0.1 25" on a command line. It will tell you which program is related to this port.


Why News proxy startup failed

This is because you have installed the NNTP Service on the server. To cancel the NNTP Service go to: "Control Panel"-> "Add/Delete application"-> "Add/Delete windows component"-> "Internet Information Service (IIS)"-> uncheck "NNTP Service".
Another reason for this is that you have installed another proxy server.


Why startup of other proxy such as HTTP, SOCKS etc. failed

This is likely because you installed another proxy server on the server. The solution is to stop using that software.


Guide for Client Proxy Configuration

We have prepared a graphic guide on our site, which includes ways to set proxy settings using some of the most popular client software.


Preparation before Client Configuration

1. Make sure clients are connected to the server and they have access to each other.
2. Find the proxy server address. This refers to the network address of the server that installs CCProxy. This address is the local IP address of the server on the LAN. You can get this IP address from the "Options" dialog box within CCProxy. In most cases using "Auto Detect" in the "Options" dialog box will get the local IP address. If there are two network cards on the server, you need to cancel "Auto Detect" and choose the address manually from the list. If you can't confirm the IP address of the server, you can use the server name as proxy server address.


How to set up IE proxy

Launch IE -> menu "Tools" -> "Internet Options" -> "Connections" -> "LAN settings" -> choose "use a proxy server" -> "advanced" -> "servers" -> add" server address" to "HTTP", "Secure", "FTP", "Gopher", Port is 808; add "server address" to "Socks", Port is 1080. Or you can refer to the graphic guide.


How to configure mail proxy in Outlook

Please refer to the graphic guide on our site.


How to configure News proxy in Outlook Express

Choose the configured News server in Outlook Express and right click menu-> Properties-> Server.
Suppose the original server name is "msnews.microsoft.com". You need to change the server name to the proxy server's address. Choose "This server requests to log on". Fill in "#msnews.microsoft.com" in account. Leave "Password" blank. Check "Remember Password".

Note: If the News server you log onto isn't free of charge, then the account number and password are needed. Your account name should be revised to "old account name#original News server address". The password is the same.


How to configure CuteFTP proxy

Menu "Edit"-> "Settings"-> "Connection"-> In "Firewall" tab: fill in proxy server address after "Host". Port is 2121. Choose "USER user@site" in "Type". Check "Enable firewall access".


How to configure proxy in CuteFtp Pro

Open menu "Edit"-> "Global Settings"-> "Connection"-> "SOCKS4 & 5"
Choose "Use the highlighted Socks server when connecting"; click button "Add", delete "<New>" in Host, fill in proxy server address. Port is 1080.
Don't choose "Use Authentication". Choose "Socks5".


How to configure proxy in ICQ

Launch ICQ-> Menu "Main"-> Preferences -> "Connection":
Select "Use Firewall" in "Server" tab. Select "Socks5" in "Proxy" tab.
"Firewall": Select "Socks5". Fill proxy address in "Host", "Port" is 1080. Select "use proxy to resolve hostnames".
Also you can refer to the graphic guide on our site.


How to configure MSN Messenger

Menu "Tool" -> "Options" -> In "Connection" tab, check "I use proxy server", choose SOCKS 5 in type, fill local proxy servers IP address in "Server". Port is 1080.


How to configure voice chat software proxy

You need to install SocksCap32 at client and add voice chat software into SocksCap32.
For specific guide, please refer to http://sockscap.youngzsoft.com.


How to configure NetMeeting proxy

As NetMeeting doesn't support proxy setting, SocksCap is needed. For a specific user guide, please refer to http://sockscap.youngzsoft.com.


How to configure Real Player proxy

Please refer to the graphic guide on our web site.


How to configure proxy in Windows Media Player

CCProxy only supports Media Player 7.0 or above. Please refer to the graphic guide on our web site.


How to log on BBS by using NetTerm

Open menu "File"-> "Phone Directory".
Choose the BBS in the list you want to log on. E.g. bbs.execpc.com.
Follow info will be shown: Host Name is bbs.execpc.com; No entry in Host/IP; Telnet port is 23. Fill in proxy server address in Host/IP. Click button "Connect". Follow info will be showed on blue screen: CCProxy Telnet>CCProxy...
Input "open bbs.execpc.com", click "Enter" key. Now you can log on bbs.execpc.com.


How to set up Chat room based on Java

Because these chat rooms are compiled by Java, you will need to set up Java socks proxy.
Please refer to http://www.youngzsoft.com/tools/setjavaproxy.html


How to configure Norton AntiVirus at client to update virus database

First, set HTTP proxy in IE. Open Live Update in Norton AntiVirus.
Popup "Live Update" dialog box and click button "Configure".
Popup dialog box "Live Update Configuration".
In "ISP" tab, check "the Internet Options in Control Panel".
In "Proxy" tab, check "I want to use my Internet Explorer Proxy Settings".


How to configure proxy for other software

If the software has the option (generally in network settings or system settings) for proxy configuration, you can configure the proxy according to the relative protocols and ports.
Otherwise, you will need to install SocksCap32, software from NEC on the client and add this software to SocksCap32.
For specific guide, please refer to http://sockscap.youngzsoft.com


Account Management

For more details, please refer to the account management page on our site.


Instruction for Account Management

Account manager of CCProxy includes three parts: "Permitted Category", "Auth Type" and "Account Configuration".

Permitted Category
There are three choices under this category.
"Permit All" is default status. Account manager is ineffective when choose this category.
"Permit Only" means only those users added to user list or group can access Internet.
"Permit but" means the users added to the user list cannot access Internet, and all others are permitted.

Auth Type
There are three choices.
"IP Address" means using IP address to judge user.
"MAC Address" means using MAC Address to judge user's identification.
"User/Password" means using user name or password to judge user's identification.

Account Configuration
"New": set up a new account.
"Edit": revise account here.
"Delete": you can delete one or more account here.
"Auto Scan": this function is designed for the administrator's convenience when initializing account info. When administrators first set up an account, they can turn on all the clients, and then click "Auto Scan". The IP address, MAC address and computer name of all the clients in LAN can be caught automatically.


Introduction of Account Configuration Dialog Box

"User/Group Name": used to label different account.
"IP Address/IP Range": can be a single IP or IP range. E.g. 192.168.0.1 and 192.168.0.1-192.168.0.10 are legal in this column. When you want to set an IP range, the account in this case is actually a group. This means users within this IP range all belong to this account.
"Maximum Connections": refers to the maximum simultaneous client connections.
"Bandwidth For Each Connection": refers to the maximum bandwidth of each connection.
"Services": choose the services permitted service or this account.
"Time Schedule": you can choose a defined time schedule here.
"Web Filter": you can choose a defined web filter here.


Web Filter

Web filter includes site filter and content filter.
"Account"-> "Web Filter"
You can define different web filter rules here.
"Web Filter Name": input different web filter name to label different web filter rule. The web filter name will be used in account setting for every user.


Site Filter

"Site Filter": input multiple sites for filtering in the edit box. A semicolon can divide sites. The site filter supports wildcard characters (*, ?). E.g. *.yahoo.com;???.hotmail.com;www..org
"Permitted Sites", "Forbidden Sites": determines whether filtered sites are permitted or forbidden.


Forbidden URL

"Forbidden URL": input multiple items for filtering in edit box. A semicolon can divide items. URL filter supports wildcard characters (*, ?). E.g. .zip;.exe will forbid clients from downloading zip and exe files.


Forbidden Content

This function can filter web pages including specific words.
"Forbidden Content": input key words that typically represent the content of web site. Words should be divided by semicolon. E.g. chat; travel.


Time Schedule

Time schedule is used to set the time range in which client are permitted to access the Internet.
"Account"-> "Time Schedule": defines different time schedule.

"Time Schedule Name": input a different time schedule name to identify different time schedules. The time schedule name will be used in the account settings for the users.
"Sunday" to "Saturday": These are used to set different time schedules for accessing the Internet on workdays. You can set the time directly in the edit box.
"Starting time-ending time" denotes time range. Different time ranges are connected by "+".

You can also click the button next to the edit box. Popup dialog box "Time Table". You can set specific time ranges for each workday.
There are 24 time ranges in "Time Table".
If choose "01:00", this denotes the range from 00:00 to 01:00 within which Internet access is permitted.
"Apply To": Means this time schedule only applies to selected services.


Dial Service

Dial service of CCProxy supports remote dial-up, auto dial-up, and idle dial-up auto disconnect.


Configure Remote Dial-up

1) Manually set up a dial-up connection on server. Test whether this connection is effective.
2) In "Options", choose "Remote dial-up".
3) "Options"-> "Advance"-> "Dial"
In "Dial Entries" choose the connection you set up in step (1). Fill the right account info in "Dial user name" and "Dial password" respectively.
4) You need to configure HTTP proxy in IE at client in advance.
When client can visit http://ccproxy.connect, then you can go ahead with dial-up.
If you want to visit http://ccproxy.connect.tele#.username.password at client, please dialup using the specified phone # and user info.
5) To disconnect from Internet, input http://ccproxy.disconnect in address blank.


Configure Auto Dial-up

1) In "Options", choose " Remote Dial-up"
2) "Options"-> "Advance"-> "Dial"
Choose "Auto Dial-up Enabled". Then check the related proxy protocol to realize auto dial-up.


Configure Idle Dial-up Auto Disconnect

1) In "Options", choose "Remote Dial-up"
2) "Options"-> "Advance"->"Dial"
Choose " Idle dialup auto disconnect". Input the idle time in edit box.


Log Management

Log management function of CCProxy includes on-line watch and log files.


On-line Watch

Double click the green grid on the main interface; you can watch the connection status of current users.
"Mail Info": gets the sending status of mails.


Log Files

Configure Log files
"Options"-> "Advance"-> "Log"
In "Save Logs to File", choose the target file directory you want to save logs.
In "Log Session Selection", log session keeps a basic record of time, username, IP address and visit type. More detailed info will be kept also.
"Request URL" keeps a log of websites that users visit via browser.
"Mail Info" keeps a log of target address info of emails sent by users.
"Outgoing Mails" keeps the records of those emails sent by client applications such as Outlook etc.


Mail Proxy

CCProxy uses built-in mail server to realize mail proxy function.
Client can receive emails via proxy server. When sending emails, Emails will be sent to the proxy server first. Then the proxy server will send those emails via its built-in mail server.


Configure mail proxy parameters

"Options"-> "Advance"-> "Mail"
"Primary DNS" and "Secondary DNS": these are used to resolve mailing address. Default "a.root-servers.net" and "b.root-servers.net" are the root servers of Internet.
"Maximum Tries": occasionally due to unstable status of the network, you can't send mail successfully at one time. More tires are needed.
"Time Interval before Next Try": set the time interval before resending mail.
"Mail Queue Length": set the length of mail queue.


Watch Mail Transfer Status

Double click the green grid on the main interface-> "Mail Info", popup "Internet Mail Transfer Status" dialog box.
"Mail in Transfer": used to check the status of mail in transfer.
"Mail Undelivered": used to check undelivered mails.


Configure Cache

This function can save the visited web pages in cache. In the specified period of time, when users want to visit the same web page they've browsed, this web page can be loaded from cache directly. Therefore greatly improves surfing speed on the Internet.

1) In "Options", choose "Cache"
2) "Options"-> "Advance"-> "Cache"
"Always Load from Cache": means don't update cache. CCProxy always loads web page data from the cache of IE. This function is very useful when user disconnects from the Internet but still wants to browse web pages on the client.
"Cache Update Time (minutes)": this is used for setting the update time of the cache. The longer the update time, the longer the data in the cache can be kept.
"IE Cache Options": because CCProxy shares its cache with IE's cache. The size and category of the cache should be revised via IE. Hit this button, popup Internet properties IE's dialog box. In "Internet Temporary Files", click button "Settings". You can then revise the size and category of cache.


Cascading Proxy

You need to use a cascading proxy when your server can't access the Internet directly. In this case, you will have to use another proxy server to access Internet.
1) Before using a cascading proxy, you need to identify the address, protocols, and ports of upper proxy server and whether authentication is needed.
2)"Options"-> "Advance"-> "Cascading Proxy"-> Choose "Enable Cascading Proxy".
"Proxy Address": fill in the address of upper proxy server.
"Proxy Protocol": Cascading proxy of CCProxy supports HTTP, HTTPS, and SOCKS5 protocols. This means that, once any of these three protocols is valid for local server, the upper proxy server can work as cascading proxy.
Note: When choose HTTP as cascading proxy protocol, you can only visit web pages. But if you choose HTTPS or SOCKS5 as the cascading protocol, you can proxy for web browsing, receiving mails, CuteFTP etc. However, some functions of ICQ or sending mails will be limited.
"Need Authorization": When the upper proxy server needs authorization, you need to select this option. Enter relative authorization info in the "User Name" and "Password" fields.


Flow Statistics

"Account"-> Select "Enable Flowstat"
CCProxy will compute every user's flow every ten minutes and generate a txt file under the log category. By clicking "Flowstat", you can check the flow analysis of the day.
The saving format of file is: username\tbytes received\tbytes sent\r\n.


Administrator Password Settings

"Options"-> "Advance"-> "Miscellaneous":
"Password Protection": this is used to set the administrator's password.


Other Configuration

Local IP address:
"Options"-> "Local IP address": refers to the IP address of the server used to connect to the machines on the LAN.
In the case of "single network card + dialup connection" or "single network card connected to LAN + single network card connected to Internet", local IP address can be detected automatically.
In other cases you need to uncheck "Auto Detect" and choose a local IP address binding with the server from the IP list.

NT Service:
This switch allows CCProxy to run as an NT service.

"Options"-> "Advance"-> "Miscellaneous"
"Web Sites for On-line Checking": these sites are used to find whether the local server is connected to the Internet. Different sites are divided by semicolons.
"Socket Idle Disconnect Minutes": you can set the idle time interval of the socket before disconnection.
"Disable External User": this is to prevent other users on the Internet from using CCProxy to access Internet.
"Auto Scan Computer Name": this is used to decide whether the machine can get a computer name when "auto scan" function is chosen in account manager.
"Enable SOCKS4": switch to enable SOCKS4 in socks proxy.


Contact

Support@youngzsoft.net
Please read the FAQ and write if you have additional questions or problems.

Sales@youngzsoft.com
Currently our products are only distributed on the Internet. If you are interested in exchanging links with us, or would like to help us with physical distribution, promotion in software compilations, or business cooperation, kindly let us know! We are open to various levels of cooperation.

RegistrationProblems@youngzsoft.com
If you don't receive your registration code in a timely manner? Or if you've lost it, please let us know. Please include your name, address, email address, and order confirmation number (if you have it). We will be happy to help you.

Translation@youngzsoft.com
Email your translations to us! If we choose yours for the next version, you'll get our products for free.

Homepage: http://www.youngzsoft.net
Feedback: http://bbs.youngzsoft.com


How to Purchase

URL: http://www.youngzsoft.net/user.htm


Untitled Document

CCProxy, YoungZSoft 2000-2002